Summary: Runtime and developemnt libraries for Red Hat Linux 5.2 backwards compatibility
Name: compat-libs
Version: 5.2
Release: 1
Copyright: LGPL
Group: Development/Libraries
Buildroot: /var/tmp/compat-libs-root
%define LIBRARIES ICE PEX5 SM X11 XIE Xaw Xext Xi Xmu Xp Xt Xtst Xpm form menu ncurses panel termcap
AutoReq: false
AutoProv: false

%description
This package includes a number of run-time libraries that are compiled on
Red Hat Linux 5.2. This package is required if you want to do development
for Red Hat Linux 5.2 and other glibc 2.0 based systems.

%prep
%setup -c -T

%build
rm -f *
for lib in %{LIBRARIES} ; do 
    candidates=$(ls /lib/lib$lib.so.* /usr/lib/lib$lib.so.* /usr/X11R6/lib/lib$lib.so.* 2>/dev/null ||:)
    for file in $candidates ; do 
	if [ -f $file -a ! -L $file ] ; then cp $file . ; fi
    done
done
# we don't need the ncurses 3 things anymore...
rm -fv lib*.1.9.9*
# and create the .so links for compilig
for lib in lib*.so.* ; do 
    ln -s $lib ${lib%%.so.*}.so
done
#create the soname links
/sbin/ldconfig -n -N -v .

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/i386-glibc20-linux/lib
tar cf - . | tar xf - -C $RPM_BUILD_ROOT/usr/i386-glibc20-linux/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/i386-glibc20-linux/lib/*

%changelog
* Sun Apr 18 1999 Cristian Gafton <gafton@redhat.com>
- created the first version, just like anotehr anonftp package...
